#ifndef __SUPPORT_H__
#define __SUPPORT_H__

#ifndef LINUX

#include <security/pam_appl.h>

#endif  /* LINUX */

#define _PAM_EXTERN_FUNCTIONS
#include <security/pam_modules.h>

int _set_auth_tok(pam_handle_t *pamh, int flags);
int _set_oldauth_tok(pam_handle_t *pamh, int flags);
int _read_new_pwd(pam_handle_t *pamh, int flags);

#endif /* __SUPPORT_H__ */

